Subject: Re: Mac OS X Beta -> Netatalk

From: Steven Karel <[email-masked]>
Date: Thu, 5 Oct 2000 13:21:52 -0400 (EDT)

Replying to this old message on linux-atalk...

I have what seems to be the same problem the original poster did. 

This applies to using the OS X public beta Appleshare IP client and
connecting to various netatalk servers (all pre-asun2.1.4-37, I think).

Some shares mount, but then fail to correctly generate a directory list
(everything is 0 MB). Can't copy anything from the share (error -1401)

Some shares mount, and one can copy files from them, but then it fails on
copy to the share (error -36).

Some shares mount, and can copy files from netatalk shares, but at
depressingly low speeds (haven't got great statistics yet; but around
200-300 kb/s). However, they can write faster than that (closer to 1
MB/s?). That said, for the same files transferred by FTP (using NcFTP) I
get 7 MB/s.

I need to do more testing, but there's definitely a problem here. I know
that scp, FTP, and NFS are all faster and are viable alternatives, but it
would be nice to know what's broken here. 

If anyone has ideas for what I should test, I'd be happy to test them.

steven

 On Sat, 23 Sep 2000, joshua wrote:

> on 9/22/00 9:21 AM, joshua said:
> 
> >
> >>When I reboot that Mac into OS X Beta, I key in the IP address of the Linux
> >>box (to start the mount process), it starts, I get prompted for a name &
> >>password, I enter it (so far, so good - perfectly normal), I get a list of
> >>volumes, I select one, and then all files in that shared volume are empty -
> >>0KB.  Trying to copy any of those files to my local OS X Beta drive fails.
> >>Copying anything to the share fails (error code#2), but if I try to copy a
> >>.pkg file a folder is made of the package's name - with no contents.  The
> >>permissions on the share are wide open - oga are all set to rwx.  My home
> >>directory (~ in AppleVolumes.default) appears completely empty, even though
> >>there are dozens of files in it.
> >
> >Well, with MacOS DP4, (and 3)  I have seen no problems connecting over IP
> >to my NetAtalk server.
> >
> >
> >Havent gotten X PB  yet.
> >
> >
> >Josh
> 
> 
> Well, tryed the same tests with mac OS X PB,  and for me, it still works
> well.  verry impressed with this version of X,  better thatn Dp4.  Infact
> I am sending this with Claris e-mailer runing in clasic.
> 
> 
> Josh
> 
> 
> ----------------------o - - - - - - - - - - o------------------------
>                             Mac Medics
>                    Consulting and Macintosh Repair
>               Joshua Snyder, Consultant & Technician
>         433 Grand Canyon Drive, Suite 101  Madison, WI 53719
>   Voice: 608-829-0304  Fax: 608-829-3839 E-Mail: [email-masked]
> ----------------------o - - - - - - - - - - o------------------------
> 

Steven Karel, Ph.D.
Biology Department, Brandeis Univ, MS 008
415 South St Waltham MA 02454-9110
TEL 781 736 3104   FAX 781 736 3107

---

From: [email-masked] (William P. McGonigle)
Date: 05 Oct 2000 13:58:35 EDT

--- Steven Karel wrote:

--- end of quote ---

I get the same results while connected to a MacOS9 machine using TCP/IP filesharing (shareway OEM) on two work machines (large network); At home (1 machine) on a 2-zone network, I haven't seen the same problem, but that's not quite statistically significant.

So, I think the problem is at least partly with the client.

-Bill